import pytest
from CircleADT import *

class TestCircles:

    @classmethod
    def setup_class(cls):
        """ setup any state specific to the execution of the given class (which
        usually contains tests).
        """

    @classmethod
    def teardown_class(cls):
        """ teardown any state that was previously setup with a call to
        setup_class.
        """

    def setup_method(self, method):
        self.circle = CircleT(1,2,3)

    def teardown_method(self, method):
        self.circle = None

    def test_xcoord_are_equal(self):
        assert self.circle.xcoord() == 1

    def test_xcoord_are_not_equal(self):
        assert self.circle.xcoord() != 1